﻿using System;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel;

namespace ControlContainerEditor_CS
{
    public class Grades : 
        // This class needs to implement INotifyPropertyChanged so that the host
        // UserControl can notify the UltraControlContainerEditor that the value
        // has changed, which in turn will notify the grid about the change.
        INotifyPropertyChanged
    {
        #region Members

        private double fall;
        private double winter;
        private double spring;

        #endregion //Members

        #region Properties

        #region Fall

        public double Fall 
        {
            get { return this.fall; }
            set
            {
                if (this.fall == value)
                    return;

                this.fall = value;
                this.FirePropertyChanged("Fall");
            }
        }
        #endregion //Fall

        #region Winter

        public double Winter
        {
            get { return this.winter; }
            set
            {
                if (this.winter == value)
                    return;

                this.winter = value;
                this.FirePropertyChanged("Winter");
            }
        }
        #endregion //Winter

        #region Spring

        public double Spring
        {
            get { return this.spring; }
            set
            {
                if (this.spring == value)
                    return;

                this.spring = value;
                this.FirePropertyChanged("Spring");
            }
        }
        #endregion //Spring

        #endregion //Properties

        #region Methods

        #region FirePropertyChanged

        protected void FirePropertyChanged(string propertyName)
        {
            if (this.PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }
        #endregion //FirePropertyChanged

        #endregion //Methods

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        #endregion
    }
}
